Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.provider
Interface PropertyProvider

public interface PropertyProvider
extends CIMProvider

This is the interface implemented by property providers. Property providers are used to retrieve and update properties which are dynamic in nature i.e. their values are not stored in the CIMOM data store.

Since:
  WBEM 1.0

Method Summary
`CIMValue` | `getPropertyValue(CIMObjectPath op, java.lang.String originClass, java.lang.String propertyName)` This method is implemented by the property provider to retrieve the value of the property specified by the parameters.
`void` | `setPropertyValue(CIMObjectPath op, java.lang.String originClass, java.lang.String propertyName, CIMValue cv)` This method is implemented by the property provider to set the value of the property specified by the parameters.

Methods inherited from interface com.sun.wbem.provider.CIMProvider
`cleanup, initialize`

Method Detail

### getPropertyValue

    public CIMValue getPropertyValue(CIMObjectPath op,
                                     java.lang.String originClass,
                                     java.lang.String propertyName)
                              throws CIMException

  This method is implemented by the property provider to retrieve the value of the property specified by the parameters.
  Parameters:
    `op` - Contains the path to the instance whose property must be retrieved.
    `originClass` - Contains the name of the class where this property was originally defined in the hierarchy.
    `propertyName` - The name of the property.
  Returns:
    CIMValue The value of the property.
  Throws:
    CIMException - The getPropertyValue method throws a CIMException.

### setPropertyValue

    public void setPropertyValue(CIMObjectPath op,
                                 java.lang.String originClass,
                                 java.lang.String propertyName,
                                 CIMValue cv)
                          throws CIMException

  This method is implemented by the property provider to set the value of the property specified by the parameters.
  Parameters:
    `op` - Contains the path to the instance whose property must be retrieved.
    `originClass` - Contains the name of the class where this property was originally defined in the hierarchy.
    `propertyName` - The name of the property.
    `cv` - The value to set the property to.
  Throws:
    CIMException - The setPropertyValue method throws a CIMException.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD